HI, Just sorting out updating to 1.5.6c from 1.5.6a, and have recently installed Square payments on 1.5.6a; got this notification this morning from Square:

Hello,
Square’s Payment Form and Connect v2 APIs have been updated with everything you need to make your website or application compliant with Strong Customer Authentication (SCA) -- the new European regulation to make customer-initiated online payments more secure. SCA requires that merchants pass additional information about their customers to their payments provider with each transaction in order to reduce online fraud.
You’ll need to make updates to your integrations by September 14th, 2019, when the regulation goes into effect. Don’t wait until the last minute! If you have questions about the update process, please contact developer support.
See how to update.
Thanks,
The Square Team
Is this already covered in the 1.5.6c update?